SDL_GetThreadState(3)

NAME
SDL_GetThreadState - Get the current state of a thread.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_ThreadState SDL_GetThreadState(SDL_Thread *thread);

FUNCTION PARAMETERS

thread
    the thread to query.

RETURN VALUE
( SDL_ThreadState ) Returns the current state of a thread, or SDL_THREAD_UNKNOWN
 if the thread isn't valid.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ThreadState(3type)